TSHTTPTXNSERVERPUSH(3ts)

NAME
TSHttpTxnServerPush - TSHttpTxnServerPush API function

SYNOPSIS

#include <ts/experimental.h>

    void TSHttpTxnServerPush(TSHttpTxn txnp, const char *url, int url_len)

DESCRIPTION

Push a content to a client with Server Push mechanism.

This API works only if the protocol of a transaction supports Server Push and it is not disabled by the client. You can call this API without checking whether Server Push is available on the transaction and it does nothing if Server Push is not available.

NOTES

This API may be changed in the future version since it is experimental.

SEE ALSO

TSAPI(3ts),

COPYRIGHT
2018, dev@trafficserver.apache.org